import { propsConvert } from "@/services/props-convert";

const prefix = "/customer-mgt";

const customerRoutes = [
  // {
  //   path: `/TYMHView`,
  //   name: 'TYMHView',
  //   component: () => import(/* webpackChunkName: "customer-mgt" */ "@/views/authentication/TYMHView.vue"),
  //   props: propsConvert,
  //   meta: { keepAlive: false, requiresAuth: true, name: "统一门户" },
  // },
  {
    path: `${prefix}/index`,
    component: () => import(/* webpackChunkName: "customer-mgt" */ "@/views/customer-mgt/CustomerMgtView.vue"),
    props: propsConvert,
    meta: { keepAlive: false, requiresAuth: true, name: "工作台" },
  },
  {
    path: `${prefix}/AddUserView`,
    component: () => import(/* webpackChunkName: "customer-mgt" */ "@/views/customer-mgt/AddUserView.vue"),
    props: propsConvert,
    meta: { keepAlive: true, requiresAuth: true, name: "新增客户" },
  },
  {
    path: `${prefix}/customer-info/customer-information-registration/customer-information-registration`,
    component: () => import(/* webpackChunkName: "customer-mgt" */ "@/views/customer-mgt/customer-info/customer-information-registration/CustomerInformationRegistration.vue"),
    props: propsConvert,
    meta: { keepAlive: true, requiresAuth: true, name: "客户信息预登记" },
  },
  {
    path: "/Overview",
    component: () => import(/* webpackChunkName: "customer-mgt" */ "@/views/customer-mgt/customer-info/business-information/Overview.vue"),
    props: propsConvert,
    meta: {requiresAuth: true, name: "基本信息" },
  },
  {
    path: "/InfoChangeHistory",
    component: () => import(/* webpackChunkName: "customer-mgt" */ "@/views/customer-mgt/customer-info/business-information/InfoChangeHistory.vue"),
    props: propsConvert,
    meta: { keepAlive: true, requiresAuth: true, name: "基本信息变动历史" },
  },
  {
    path: `${prefix}/customer-info/business-information/risk-information`,
    component: () => import(/* webpackChunkName: "customer-mgt" */ "@/views/customer-mgt/customer-info/business-information/RiskInformation.vue"),
    props: propsConvert,
    meta: { keepAlive: true, requiresAuth: true, name: "风险信息" },
  },
  {
    path: "/EquityPledgeAndMovablePropertyPledge",
    component: () => import(/* webpackChunkName: "customer-mgt" */ "@/views/customer-mgt/customer-info/business-information/EquityPledgeAndMovablePropertyPledge.vue"),
    props: propsConvert,
    meta: { requiresAuth: true, name: "股权出质及动产质押" },
  },
  {
    path: "/AnnualReport",
    component: () => import(/* webpackChunkName: "customer-mgt" */ "@/views/customer-mgt/customer-info/business-information/AnnualReport.vue"),
    props: propsConvert,
    meta: { requiresAuth: true, name: "年报" },
  },
  {
    path: "/Judgment",
    component: () => import(/* webpackChunkName: "customer-mgt" */ "@/views/customer-mgt/customer-info/Operating-risk-information/Judgment.vue"),
    props: propsConvert,
    meta: { keepAlive: true, requiresAuth: true, name: "裁判文书" },
  },
  {
    path: "/JudgmentDetail",
    name: "JudgmentDetail",
    component: () => import(/* webpackChunkName: "customer-mgt" */ "@/views/customer-mgt/customer-info/Detail/JudgmentDetail.vue"),
    props: propsConvert,
    meta: { keepAlive: false, requiresAuth: true, name: "裁判文书详情" },
  },
  {
    path: "/FYGGDetail",
    name: "FYGGDetail",
    component: () => import(/* webpackChunkName: "customer-mgt" */ "@/views/customer-mgt/customer-info/Detail/FYGGDetail.vue"),
    props: propsConvert,
    meta: { keepAlive: false, requiresAuth: true, name: "法院公告详情" },
  },
  {
    path: "/FYGGList",
    component: () => import(/* webpackChunkName: "customer-mgt" */ "@/views/customer-mgt/customer-info/Operating-risk-information/FYGGList.vue"),
    props: propsConvert,
    meta: { keepAlive: true, requiresAuth: true, name: "法院公告" },
  },
  {
    path: "/CFXXList",
    component: () => import(/* webpackChunkName: "customer-mgt" */ "@/views/customer-mgt/customer-info/Operating-risk-information/CFXXList.vue"),
    props: propsConvert,
    meta: { requiresAuth: true, name: "处罚信息" },
  },
  {
    path: "/ClearInformation",
    component: () => import(/* webpackChunkName: "customer-mgt" */ "@/views/customer-mgt/customer-info/Operating-risk-information/ClearInformation.vue"),
    props: propsConvert,
    meta: { requiresAuth: true, name: "工商-清算" },
  },
  {
    path: "/LSBGView",
    component: () => import(/* webpackChunkName: "customer-mgt" */ "@/views/customer-mgt/customer-info/Operating-risk-information/LSBGView.vue"),
    props: propsConvert,
    meta: { requiresAuth: true, name: "工商-历史变更" },
  },
  {
    path: "/YCJYMLView",
    component: () => import(/* webpackChunkName: "customer-mgt" */ "@/views/customer-mgt/customer-info/Operating-risk-information/YCJYMLView.vue"),
    props: propsConvert,
    meta: { requiresAuth: true, name: "工商-异常经营名录" },
  },
  {
    path: "/ExecutedPerson",
    component: () => import(/* webpackChunkName: "customer-mgt" */ "@/views/customer-mgt/customer-info/Operating-risk-information/ExecutedPerson.vue"),
    props: propsConvert,
    meta: { keepAlive: false, requiresAuth: true, name: "被执行人" },
  },
  {
    path: "/InformationOfThePersonSubjectToExecutionDetail",
    name: "InformationOfThePersonSubjectToExecutionDetail",
    component: () => import(/* webpackChunkName: "customer-mgt" */ "@/views/customer-mgt/customer-info/Detail/InformationOfThePersonSubjectToExecutionDetail.vue"),
    props: propsConvert,
    meta: { keepAlive: false, requiresAuth: true, name: "被执行人详情" },
  },
  {
    path: "/InformationOfUntrustworthyPersonSubjectToEnforcementDetail",
    name: "InformationOfUntrustworthyPersonSubjectToEnforcementDetail",
    component: () => import(/* webpackChunkName: "customer-mgt" */ "@/views/customer-mgt/customer-info/Detail/InformationOfUntrustworthyPersonSubjectToEnforcementDetail.vue"),
    props: propsConvert,
    meta: { keepAlive: false, requiresAuth: true, name: "失信被执行人详情" },
  },
  {
    path: "/CourtAnnouncement",
    component: () => import(/* webpackChunkName: "customer-mgt" */ "@/views/customer-mgt/customer-info/Operating-risk-information/CourtAnnouncement.vue"),
    props: propsConvert,
    meta: { keepAlive: true, requiresAuth: true, name: "开庭公告" },
  },
  {
    path: "/AnnouncementInformationDetail",
    name: "AnnouncementInformationDetail",
    component: () => import(/* webpackChunkName: "customer-mgt" */ "@/views/customer-mgt/customer-info/Detail/AnnouncementInformationDetail.vue"),
    props: propsConvert,
    meta: { keepAlive: false, requiresAuth: true, name: "开庭公告详情" },
  },
  {
    path: "/CaseProcess",
    component: () => import(/* webpackChunkName: "customer-mgt" */ "@/views/customer-mgt/customer-info/Operating-risk-information/CaseProcess.vue"),
    props: propsConvert,
    meta: { keepAlive: true, requiresAuth: true, name: "案件流程" },
  },
  {
    path: "/CaseFlowInformationDetail",
    name: "CaseFlowInformationDetail",
    component: () => import(/* webpackChunkName: "customer-mgt" */ "@/views/customer-mgt/customer-info/Detail/CaseFlowInformationDetail.vue"),
    props: propsConvert,
    meta: { keepAlive: false, requiresAuth: true, name: "案件流程详情" },
  },
  {
    path: "/ExposureTable",
    component: () => import(/* webpackChunkName: "customer-mgt" */ "@/views/customer-mgt/customer-info/Operating-risk-information/ExposureTable.vue"),
    props: propsConvert,
    meta: { keepAlive: true, requiresAuth: true, name: "曝光台" },
  },
  {
    path: "/ExposureTableInformationDetail",
    name: "ExposureTableInformationDetail",
    component: () => import(/* webpackChunkName: "customer-mgt" */ "@/views/customer-mgt/customer-info/Detail/ExposureTableInformationDetail.vue"),
    props: propsConvert,
    meta: { keepAlive: false, requiresAuth: true, name: "曝光台详情" },
  },
  {
    path: "/JudicialDeduction",
    component: () => import(/* webpackChunkName: "customer-mgt" */ "@/views/customer-mgt/customer-info/Operating-risk-information/JudicialDeduction.vue"),
    props: propsConvert,
    meta: { keepAlive: true, requiresAuth: true, name: "司法查冻扣" },
  },
  {
    path: "/JudicialFrozenDeductionInformationDetail",
    name: "JudicialFrozenDeductionInformationDetail",
    component: () => import(/* webpackChunkName: "customer-mgt" */ "@/views/customer-mgt/customer-info/Detail/JudicialFrozenDeductionInformationDetail.vue"),
    props: propsConvert,
    meta: { keepAlive: false, requiresAuth: true, name: "司法查冻扣详情" },
  },
  {
    path: "/PublicOpinionInformation",
    component: () => import(/* webpackChunkName: "customer-mgt" */ "@/views/customer-mgt/customer-info/Operating-risk-information/PublicOpinionInformation.vue"),
    props: propsConvert,
    meta: { keepAlive: true, requiresAuth: true, name: "舆情信息" },
  },
  {
    path: "/EnterpriseMap",
    component: () => import(/* webpackChunkName: "customer-mgt" */ "@/views/customer-mgt/customer-info/relationship-graph/EnterpriseMap.vue"),
    props: propsConvert,
    meta: { keepAlive: false, requiresAuth: true, name: "企业图谱" },
  },
  {
    path: "/RelatedParty",
    component: () => import(/* webpackChunkName: "customer-mgt" */ "@/views/customer-mgt/customer-info/relationship-graph/RelatedParty.vue"),
    props: propsConvert,
    meta: { keepAlive: false, requiresAuth: true, name: "关联方" },
  },
  {
    path: "/FroupAndEconomicDependenceInformation",
    component: () => import(/* webpackChunkName: "customer-mgt" */ "@/views/customer-mgt/customer-info/relationship-graph/FroupAndEconomicDependenceInformation.vue"),
    props: propsConvert,
    meta: { keepAlive: false, requiresAuth: true, name: "集团及经济依存信息" },
  },
  {
    path: "/GuaranteeView",
    component: () => import(/* webpackChunkName: "customer-mgt" */ "@/views/customer-mgt/customer-info/relationship-graph/GuaranteeView.vue"),
    props: propsConvert,
    meta: { keepAlive: false, requiresAuth: true, name: "担保视图" },
  },
  {
    path: "/ApplicationStatus",
    component: () => import(/* webpackChunkName: "customer-mgt" */ "@/views/customer-mgt/customer-info/business-application-status/ApplicationStatus.vue"),
    props: propsConvert,
    meta: { requiresAuth: true, name: "客户及所在集团在我行在途业务申请情况" },
  },
  {
    path: "/CreditStatusOfClientExecutives",
    component: () => import(/* webpackChunkName: "customer-mgt" */ "@/views/customer-mgt/customer-info/business-application-status/CreditStatusOfClientExecutives.vue"),
    props: propsConvert,
    meta: { requiresAuth: true, name: "客户高管授信情况" },
  },
  {
    path: "/CustomerContribution",
    component: () => import(/* webpackChunkName: "customer-mgt" */ "@/views/customer-mgt/customer-info/business-application-status/CustomerContribution.vue"),
    props: propsConvert,
    meta: { keepAlive: false, requiresAuth: true, name: "综合收益率" },
  },
  {
    path: "/TrialEntry",
    component: () => import(/* webpackChunkName: "customer-mgt" */ "@/views/customer-mgt/customer-info/business-application-status/TrialEntry.vue"),
    props: propsConvert,
    meta: { keepAlive: false, requiresAuth: true, name: "综合收益率试算" },
  },
  {
    path: `${prefix}/customer-info/business-application-status/customer-management-information`,
    component: () => import(/* webpackChunkName: "customer-mgt" */ "@/views/customer-mgt/customer-info/business-application-status/CustomerManagementInformation.vue"),
    props: propsConvert,
    meta: { keepAlive: true, requiresAuth: true, name: "客户经营信息" },
  },
  {
    path: "/CustomerPreliminaryScreeningHistory",
    component: () => import(/* webpackChunkName: "customer-mgt" */ "@/views/customer-mgt/customer-info/business-application-status/CustomerPreliminaryScreeningHistory.vue"),
    props: propsConvert,
    meta: { keepAlive: true, requiresAuth: true, name: "客户初筛历史" },
  },
  {
    path: "/CustomerRatings",
    component: () => import(/* webpackChunkName: "customer-mgt" */ "@/views/customer-mgt/customer-info/business-application-status/CustomerRatings.vue"),
    props: propsConvert,
    meta: { keepAlive: true, requiresAuth: true, name: "客户近三年评级情况" },
  },
  {
    path: "/FinancialInformation",
    component: () => import(/* webpackChunkName: "customer-mgt" */ "@/views/customer-mgt/customer-info/business-application-status/FinancialInformation.vue"),
    props: propsConvert,
    meta: { keepAlive: true, requiresAuth: true, name: "财务信息" },
  },
  {
    path: "/FinancialInfoDetail",
    component: () => import(/* webpackChunkName: "customer-mgt" */ "@/views/customer-mgt/customer-info/business-application-status/FinancialInfoDetail.vue"),
    props: propsConvert,
    meta: { requiresAuth: true, name: "财务信息" },
  },
  {
    path: "/CompanyPolicy",
    component: () => import(/* webpackChunkName: "customer-mgt" */ "@/views/customer-mgt/customer-info/business-application-status/CompanyPolicy.vue"),
    props: propsConvert,
    meta: { keepAlive: false, requiresAuth: true, name: "公司章程" },
  },
  {
    path: "/StockInformation",
    component: () => import(/* webpackChunkName: "customer-mgt" */ "@/views/customer-mgt/customer-info/business-application-status/StockInformation.vue"),
    props: propsConvert,
    meta: { keepAlive: true, requiresAuth: true, name: "股票信息" },
  },
  {
    path: "/UnifiedCustomerCreditView",
    component: () => import(/* webpackChunkName: "customer-mgt" */ "@/views/customer-mgt/customer-info/business-application-status/UnifiedCustomerCreditView.vue"),
    props: propsConvert,
    meta: { keepAlive: false, requiresAuth: true, name: "客户统一授信视图" },
  },
  {
    path: "/ProjectInfo",
    component: () => import(/* webpackChunkName: "customer-mgt" */ "@/views/customer-mgt/customer-info/business-application-status/ProjectInfo.vue"),
    props: propsConvert,
    meta: { keepAlive: true, requiresAuth: true, name: "项目信息" },
  },
  /*个人详情*/
  {
    path: `/PersonalDetails`,
    component: () => import(/* webpackChunkName: "customer-mgt" */ "@/views/customer-mgt/PersonalDetails.vue"),
    props: propsConvert,
    meta: { keepAlive: false, requiresAuth: true, name: "个人详情" },
  },
  {
    path: `/PersonalProfiles`,
    component: () => import(/* webpackChunkName: "customer-mgt" */ "@/views/customer-mgt/personal-information/PersonalProfiles.vue"),
    props: propsConvert,
    meta: { keepAlive: false, requiresAuth: true, name: "个人概况" },
  },
  {
    path: `/FamilyFinancialInformation`,
    component: () => import(/* webpackChunkName: "customer-mgt" */ "@/views/customer-mgt/personal-information/FamilyFinancialInformation.vue"),
    props: propsConvert,
    meta: { keepAlive: false, requiresAuth: true, name: "家庭资产及财务信息" },
  },
  {
    path: `/Employer`,
    component: () => import(/* webpackChunkName: "customer-mgt" */ "@/views/customer-mgt/personal-information/Employer.vue"),
    props: propsConvert,
    meta: { keepAlive: false, requiresAuth: true, name: "工作单位" },
  },
  {
    path: `/CreditDetails`,
    component: () => import(/* webpackChunkName: "customer-mgt" */ "@/views/customer-mgt/personal-information/CreditDetails.vue"),
    props: propsConvert,
    meta: { keepAlive: false, requiresAuth: true, name: "授信一览" },
  },
  /*对公客户详情*/
  {
    // path: `${prefix}/company-details`,
    path: "/CompanyDetails",
    component: () => import(/* webpackChunkName: "customer-mgt" */ "@/views/customer-mgt/CompanyDetails.vue"),
    props: propsConvert,
    meta: { keepAlive: false, requiresAuth: true, name: "客户详情" },
  },
  // 风险预警信息
  {
    path: "/RiskWarning",
    component: () => import(/* webpackChunkName: "customer-mgt" */ "@/views/customer-mgt/customer-info/risk-summary/RiskWarning.vue"),
    props: propsConvert,
    meta: { keepAlive: true, requiresAuth: true, name: "风险预警" },
  },
  //预警详情信息
  {
    path: "/RiskWarningItemDetail",
    component: () => import(/* webpackChunkName: "customer-mgt" */ "@/views/customer-mgt/customer-info/risk-summary/RiskWarningItemDetail.vue"),
    props: propsConvert,
    meta: {requiresAuth: true, name: "预警详情信息" },
  },
  {
    path: `${prefix}/customer-info/history-information/customer-tagHistory`,
    component: () => import(/* webpackChunkName: "customer-mgt" */ "@/views/customer-mgt/customer-info/history-information/CustomerTagHistory.vue"),
    props: propsConvert,
    meta: { keepAlive: true, requiresAuth: true, name: "客户标签历史" },
  },
  {
    path: `${prefix}/timeLine/customer-info/time-line/company-timeline`,
    component: () => import(/* webpackChunkName: "customer-mgt" */ "@/views/customer-mgt/customer-info/timeLine/CompanyTimeLine.vue"),
    props: propsConvert,
    meta: { keepAlive: true, requiresAuth: true, name: "企业时光轴" },
  },

  {
    path: `${prefix}/timeLine/customer-info/time-line/enterprise-timeline`,
    component: () => import(/* webpackChunkName: "customer-mgt" */ "@/views/customer-mgt/customer-info/timeLine/MarketTimeLine.vue"),
    props: propsConvert,
    meta: { keepAlive: true, requiresAuth: true, name: "营销时光轴" },
  },
  // {
  //   path: `/MarketStatisticsDetail`,
  //   name: 'MarketStatisticsDetail',
  //   component: () => import(/* webpackChunkName: "customer-mgt" */ "@/views/authentication/MarketStatisticsDetail.vue"),
  //   props: propsConvert,
  //   meta: { keepAlive: false, requiresAuth: true, name: "营销统计详情" },
  // },
];
export default customerRoutes;
