import { propsConvert } from "@/services/props-convert";

const prefix = "/marketing-mgt";

const marketingRoutes = [
  {
    path: `${prefix}/index`,
    component: () => import(/* webpackChunkName: "marketing" */ "@/views/marketing-mgt/personal/MarketingMgtView.vue"),
    props: propsConvert,
    meta: { keepAlive: true, requiresAuth: true, name: "工作台" },
  },
  //对公营销管理
  {
    path: "/ComMarketingPool",
    component: () => import(/* webpackChunkName: "marketing" */ "@/views/marketing-mgt/company/ComMarketingPool.vue"),
    props: propsConvert,
    meta: { keepAlive: false, requiresAuth: true, name: "对公营销管理" },
  },
  {
    path: `${prefix}/add-marketing`,
    component: () => import(/* webpackChunkName: "marketing" */ "@/views/marketing-mgt/AddMarketing.vue"),
    props: propsConvert,
    meta: { keepAlive: true, requiresAuth: true, name: "添加营销" },
  },
  {
    path: "/MarketingMap",
    component: () => import(/* webpackChunkName: "marketing" */ "@/views/marketing-mgt/personal/MarketingMap.vue"),
    props: propsConvert,
    meta: { keepAlive: true, requiresAuth: true, name: "营销地图" },
  },
  {
    path: "/MarketingList",
    component: () => import(/* webpackChunkName: "marketing" */ "@/views/marketing-mgt/personal/MarketingList.vue"),
    props: propsConvert,
    meta: { keepAlive: true, requiresAuth: true, name: "营销列表" },
  },
  {
    path: "/JHDBDetail",
    name: "JHDBDetail",
    component: () => import(/* webpackChunkName: "marketing" */ "@/views/marketing-mgt/personal/JHDBDetail.vue"),
    props: propsConvert,
    meta: { keepAlive: false, requiresAuth: true, name: "个人上门营销详情" },
  },
  {
    path: "/AddMarketPlan",
    component: () => import(/* webpackChunkName: "marketing" */ "@/views/marketing-mgt/personal/AddMarketPlan.vue"),
    props: propsConvert,
    meta: { keepAlive: true, requiresAuth: true, name: "新增营销计划" },
  },
  {
    path: `${prefix}/market-plan`,
    component: () => import(/* webpackChunkName: "marketing" */ "@/views/marketing-mgt/MarketPlan.vue"),
    props: propsConvert,
    meta: { keepAlive: true, requiresAuth: true, name: "营销计划" },
  },

  {
    path: `${prefix}/do-market-byphone`,
    component: () => import(/* webpackChunkName: "marketing" */ "@/views/marketing-mgt/DoingMarketByPhone.vue"),
    props: propsConvert,
    meta: { keepAlive: true, requiresAuth: true, name: "电话营销详情" },
  },
  {
    path: `${prefix}/accurate-visitor`,
    component: () => import(/* webpackChunkName: "marketing" */ "@/views/marketing-mgt/AccurateVisitors.vue"),
    props: propsConvert,
    meta: { keepAlive: true, requiresAuth: true, name: "精准访客汇报" },
  },
  {
    path: `${prefix}/accurate-customer`,
    component: () => import(/* webpackChunkName: "marketing" */ "@/views/marketing-mgt/AccurateCustomer.vue"),
    props: propsConvert,
    meta: { keepAlive: true, requiresAuth: true, name: "精准客户入围申报" },
  },
  {
    path: `${prefix}/put-reserve`,
    component: () => import(/* webpackChunkName: "marketing" */ "@/views/marketing-mgt/PutInReserve.vue"),
    props: propsConvert,
    meta: { keepAlive: true, requiresAuth: true, name: "小微线条" },
  },
];
export default marketingRoutes;
